From 44aa9f526868ea45d304ac6330f939c8a63885e9 Mon Sep 17 00:00:00 2001
From: Sreeramya Soratkal <quic_ssramya@quicinc.com>
Date: Wed, 9 Oct 2024 12:57:01 +0530
Subject: [PATCH] Add conditional compilation for Network Type in
 print_interworking

This change adds a conditional compilation block for printing the Network Type
in the print_interworking function. The Network Type will only be printed if
IW_FULL is define.d

Change-Id: Idfbfd015a007ccf8ca098e9c50e81d5b1523c624
Signed-off-by: Sreeramya Soratkal <quic_ssramya@quicinc.com>

diff --git a/scan.c b/scan.c
index 5946158..749a975 100644
--- a/scan.c
+++ b/scan.c
@@ -1172,8 +1172,10 @@ static void print_interworking(const uint8_t type, uint8_t len,
 	if (len >= 1) {
 		uint8_t ano = data[0];
 		printf("\t\tNetwork Options: 0x%hx\n", (unsigned short)(ano));
+#ifdef IW_FULL
 		printf("\t\t\tNetwork Type: %i (%s)\n",
 		       (int)(ano & 0xf), ntype_11u(ano & 0xf));
+#endif
 		if (ano & (1<<4))
 			printf("\t\t\tInternet\n");
 		if (ano & (1<<5))
-- 
2.34.1

